这是林泊百科的迁移技术测试站点,所有改动不会同步到林泊百科上,此站点将会在正式迁移后关闭,请勿存放重要数据

模板:SaturnForum/common.css:修订间差异

来自Limbo Wiki
跳转到导航 跳转到搜索
晨茗biu~留言 | 贡献
无编辑摘要
标签(旧)WikiEditor
晨茗biu~留言 | 贡献
晨茗biu~将页面模板:SaturnForum/common.css的内容模型从“已过滤的CSS”更改为“wikitext”:​测试页面内容模型更改
(没有差异)

2026年6月21日 (日) 14:22的版本

       .SaturnForum-Maincontainer {
           display: grid;
           width: 95%;
           min-width: 200px;
           max-width: 1100px;
           min-height: 300px;
           grid-template-columns: 100px 2px 1fr 1fr;
           grid-template-rows: minmax(40px,auto) 2px 80px minmax(136px,auto) 2px minmax(40px,auto);
           grid-template-areas:
               "logo line-left-top time floor"
               "line-top line-top line-top line-top"
               "portrait line-left-center text text"
               "user line-left-center text text"
               "line-bottom line-bottom line-bottom line-bottom"
               ". line-left-bottom reaction reaction";
           background-color: #f0f0f0;
           margin: 0 auto;
       }
       .SaturnForum-logo {
           grid-area: logo;
           justify-self: center;
           align-self: center;
       }
       .SaturnForum-line-top {
           grid-area: line-top;
           background-color: rgba(98,98,98,255);
       }
       .SaturnForum-line-bottom {
           grid-area: line-bottom;
           background-color: rgba(98,98,98,255);
       }
       .SaturnForum-line-left-top {
           grid-area: line-left-top;
           background-color: rgba(98,98,98,255);
       }
       .SaturnForum-line-left-center {
           grid-area: line-left-center;
           background-color: rgba(98,98,98,255);
       }
       .SaturnForum-line-left-bottom {
           grid-area: line-left-bottom;
           background-color: rgba(98,98,98,255);
       }
       .SaturnForum-portrait {
           grid-area: portrait;
           background-color: rgba(98,92,93,255);
           height: 60px;
           width: 60px;
           justify-self: center;
           align-self: center;
       }
       .SaturnForum-user {
           grid-area: user;
           justify-self: center;
           height: auto;
           text-align: center;
           text-decoration: none;
           transition: all 0.1s ease;
           cursor: pointer;
           word-break: break-all;
           margin-left: 15px;
           margin-right: 15px;
       }
           .SaturnForum-user:hover {
               color: #3498db;
               text-decoration: underline;
           }
       .SaturnForum-time {
           grid-area: time;
           align-self: center;
           justify-self: start;
           text-align: left;
           margin-left: 10px;
           font-size: 0.85rem;
           word-break: break-all;
       }
       .SaturnForum-floor {
           grid-area: floor;
           align-self: center;
           justify-self: end;
           text-align: right;
           margin-right: 10px;
           font-size: 0.85rem;
           word-break: break-all;
       }
       .SaturnForum-text {
           grid-area: text;
           font-size: 0.95rem;
           word-break: break-all;
           overflow: auto;
           margin: 5px;
           line-height: 1.35;
       }
       .SaturnForum-reaction {
           display: grid;
           grid-area: reaction;
           justify-self: stretch;
           align-self: stretch;
           width: 100%;
           height: 100%;
           grid-template-columns: 50px 20px 1fr;
           grid-template-areas:
               "refence ping report";
       }
       .SaturnForum-refence {
           grid-area: refence;
           justify-self: center;
           align-self: center;
           text-align: center;
           margin: 10px;
           font-size: 0.85rem;
           color: #3498db;
           transition: all 0.3s ease;
           cursor: pointer;
       }
           .SaturnForum-refence:hover {
               color: #e74c3c;
               text-decoration: underline;
           }
       .SaturnForum-ping {
           grid-area: ping;
           justify-self: center;
           align-self: center;
           text-align: center;
           margin: 10px;
           font-size: 0.85rem;
           color: #3498db;
           transition: all 0.3s ease;
           cursor: pointer;
       }
           .SaturnForum-ping:hover {
               color: #e74c3c;
               text-decoration: underline;
           }
       .SaturnForum-report {
           grid-area: report;
           justify-self: right;
           align-self: center;
           text-align: center;
           margin: 10px;
           font-size: 0.85rem;
           color: #3498db;
           transition: all 0.3s ease;
           cursor: pointer;
       }
           .SaturnForum-report:hover {
               color: #e74c3c;
               text-decoration: underline;
           }
       @media(max-width: 400px) {
           .SaturnForum-Maincontainer {
               grid-template-columns: 100px 1fr;
               grid-template-rows: 40px 2px 80px minmax(30px,auto) 2px minmax(150px,auto) 2px minmax(40px,auto);
               grid-template-areas:
                   "logo logo"
                   "line-left-top line-left-top"
                   "portrait time"
                   "user floor"
                   "line-top line-top"
                   "text text"
                   "line-bottom line-bottom"
                   "reaction reaction"
           }
           .SaturnForum-time {
               justify-self: end;
               text-align: right;
               margin-right: 10px;
           }
       }